<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Description of install
 *
 * @author jub
 */
use models\Utilisateur;
class Install extends CI_Controller {

	function __construct() {
		parent::__construct();
		$this->load->library('doctrine');
		$this->load->helper('file');

	}

	function index() {
		//recupération du gestionnaire d'entitées
		$em = $this->doctrine->em;

		//suppression et creation des tables de la base
		$tool = new \Doctrine\ORM\Tools\SchemaTool($em);
		$tool->dropDatabase();
	  
		$classes = array(
		$em->getClassMetadata('\models\Utilisateur'),
		$em->getClassMetadata('\models\Image')
		);
		$tool->createSchema($classes);

		//---------------------------------------------------------------------------------
		//peuplement de la base 
		//TODO
		
		
		//---------------------------------------------------------------------------------
		//purge des répertoires et creation des repertoires si il n'existent pas
		$gallery_path = realpath(FCPATH).DIRECTORY_SEPARATOR.'ressources'.DIRECTORY_SEPARATOR.'medias'.DIRECTORY_SEPARATOR.'images';
		$thumb_path = $gallery_path.DIRECTORY_SEPARATOR.'miniatures';
		
		if (!is_dir($gallery_path))
			mkdir($gallery_path);
		else
			delete_files($gallery_path);
		if (!is_dir($thumb_path))
			mkdir($thumb_path);
		else
			delete_files($thumb_path);
	}


}

?>
