<?php



/**
 * Ce contrâleur une fois hérité permet de sécuriser une page
 * Si session valide n'est pas ouverte, l'utilisateur est redirigé vers la page d'accueil
 *
 * @author jub
 */
class MY_Controller extends CI_Controller {

    function __construct() {
        parent::__construct();

        $this->load->library('session');
        $this->load->helper('url');
        //Si la variable de session 'loggedin' n'a pas été positionnée alors le client est redirigé vers la page de connexion 
        if (!$this->session->userdata('loggedin')) {
            redirect('backoffice/sessions/login');
        }
    }

}

?>
